%PageRank1 punto 2
%vedere come la permutazione associata al PageRank vari in funzione di γ

n=100000; %dimensione della matrice
dens=0.5/n; %densità di nonzeri
H = sprand(n,n,dens)  ~= 0; %matrice sparsa nxn di densita' dens di non zeri
v=ones(1,n); %vettore di n componenti uguali a 1
[y1,it1]=PageRank(H,v,0.85,1000);
[y2,it2]=PageRank(H,v,0.99,1000);
[z1,sigma1]=sort(y1,'descend'); %calcola sigma1
[z2,sigma2]=sort(y2,'descend'); %calcola sigma2
for i=1:n
  w(i) = find(sigma1==sigma2(i)); %trova gli indici di non zeri
end
base=[1:n];
plot(base(1:n),w(1:n)) %traccia il grafico