%PageRank 2 punto 2
%Mettere in relazione il valore del PageRank di ciascuna pagina col numero di link che entrano, o che escono, da quella pagina per vedere se è vero che una pagina che riceve, o che contiene, molti link è mediamente più importante delle altre pagine.

G= load('web-BerkStan.txt');
n=685230;
H = sparse(G(:,1), G(:,2), ones(size(G,1),1),n,n);
v=ones(1,n); %vettore di personalizzazione
y = PageRank(H, v, 0.85, 1000); %vettore y di PageRank
e = ones(n,1);
yout = H*e; %calcolare il vettore yout che ha per componente i-esima il numero di link che escono dalla pagina i
yout = yout/sum(yout); %normalizzo
yin = e'*H; %calcolare il vettore yin che ha per componente i-esima il numero di link che entrano nella pagina i
yin = yin/sum(yin); %normalizzo
base=[1:n];
%calcolare i rapporti componente a componente tra il vettore y di PageRank e i vettori rispettivamente yin e yout.
%ordino i vettori ottenuti
yin = sort(yin./y, 'descend');
yout = sort(yout'./y,'descend');
plot(base, yin,'r', base, yout, 'b'); %traccio il grafico

 