%PageRank2 punto 3
%Mettere in relazione la permutazione ottenuta con γ = 0.85 con la permutazione ottenuta ponendo γ = 0.99, come si è fatto nell’esercizio1punto1.
%Valutare come cambiano le prime 20 posizioni

G= load('web-BerkStan.txt');
n=685230;
H = sparse(G(:,1), G(:,2), ones(size(G,1),1),n,n);
dens=0.5/n;
v=ones(1,n); %vettore di n componenti uguali a 1
[y1,it1]=PageRank(H,v,0.85,1000);
[y2,it2]=PageRank(H,v,0.99,1000);
[z1,sigma1]=sort(y1,'descend'); %calcola sigma1
[z2,sigma2]=sort(y2,'descend'); %calcola sigma2
for i=1:20
  w(i) = find(sigma1==sigma2(i)); %trova gli indici di non zeri
end
base=[1:20];

plot(base(1:20),w(1:20),'o') %traccia il grafico

%per analizzare meglio l'idea dell'allineamento con la bisettrice, eseguire il seguente comando in sostituzione al plot precedente.
%plot(base(1:20),w(1:20), 'o'), axis([0 20 0 20])


