%PageRank2 punto 1
%Per la matrice della rete Berkeley-Stanford valutiamo quante iterazioni e quanto tempo di CPU occorrono per i valori di γ pari a 0.85, 0.90, 0.95, 0.99, 0.999

G= load('web-BerkStan.txt'); %carico la matrice della rete Berkeley-Stanford
%costruiamo da questa matrice G la matrice di adiacenza H
n=685230;
H = sparse(G(:,1), G(:,2), ones(size(G,1),1),n,n);
spy(H(1:10000,1:10000)) %riportiamo la figura della struttura della sottomatrice principale di testa di H di dimensione 10000 
v=ones(1,n);
%calcoliamo iterazioni e tempi
tic
[y,it1]=PageRank(H,v,0.85,1000);
t1=toc;
tic
[y,it2]=PageRank(H,v,0.90,1000);
t2=toc;
tic
[y,it3]=PageRank(H,v,0.95,1000);
t3=toc;
tic
[y,it4]=PageRank(H,v,0.99,1000);
t4=toc;
tic
[y,it5]=PageRank(H,v,0.999,1000);
t5=toc;



